package es.rickyepoderi.sample;

import javax.annotation.Resource;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

@Stateless
@WebService(name = "echo", 
        targetNamespace = "http://es.rickyepoderi.sample/ws", 
        serviceName = "echo-service")
@SOAPBinding(style = SOAPBinding.Style.RPC)
public class Echo {

    @Resource SessionContext ctx;

    @WebMethod
    public String echo(String input) {
        System.err.println("RICKY: principal: " + ctx.getCallerPrincipal());
        System.err.println("RICKY: principal: " + ctx.getCallerPrincipal().getClass());
        System.err.println("RICKY: isCallerInRole: " + ctx.isCallerInRole("static"));
        return ctx.getCallerPrincipal() + " -> " +  input;
    }
}
